import { AfterContentInit, OnDestroy, EventEmitter, Renderer2, OnChanges, SimpleChanges } from '@angular/core';
import { ColorPickItemDirective } from './color-picklist-item.directive';
import { PickDirective } from '../pick/pick.directive';
export declare class ColorPicklistComponent implements OnChanges, AfterContentInit, OnDestroy {
    private pick;
    private renderer;
    data: any[];
    isDisabled: boolean;
    isForInlineTableCSS: boolean;
    open: boolean;
    closeClickOutside: boolean;
    popOverPosition: string;
    nubbinPosition: string;
    openChange: EventEmitter<any>;
    selectedElem: EventEmitter<{
        HTMLElement: HTMLElement;
        idx: number;
    }>;
    itemTemplate: ColorPickItemDirective;
    private subscriptions;
    private button;
    private colorsPopover;
    constructor(pick: PickDirective, renderer: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    isOptionActive(item: any): boolean;
}
